curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"list": {
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"listPermissions": {
"teamsWithEditAccess": [
123
],
"usersWithEditAccess": [
123
]
},
"membershipSettings": {
"includeUnassigned": true,
"membershipTeamId": 123
},
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve a list by name
Récupérez une liste spécifique par son nom et l’ID de son type d’objet. Ce point de terminaison vous permet d’obtenir les détails d’une liste, y compris ses propriétés et, facultativement, ses filtres. Il est utile pour accéder aux informations de liste basées sur des critères spécifiques.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"list": {
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"listPermissions": {
"teamsWithEditAccess": [
123
],
"usersWithEditAccess": [
123
]
},
"membershipSettings": {
"includeUnassigned": true,
"membershipTeamId": 123
},
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Le nom de la liste à récupérer. Ceci n'est pas sensible à la casse.
L'ID de type d'objet des types d'objets stockés par la liste à récupérer. Par exemple, « 0-1 » pour une liste de « CONTACT ».
Paramètres de requête
Un indicateur indiquant si la définition de la liste des objets de réponse doit inclure ou non une définition de branche de filtre. Par défaut, les définitions de la liste des objets n'incluront pas leurs définitions de branche de filtre dans la réponse.
Réponse
successful operation
The response for a list fetch request.
An object list definition.
Show child attributes
Show child attributes